
==========================================================================
% **************************************************
% COMPILATION FLAGS:
%   SIMPLEX ENGINE: clp
%   MPI: 1
%   DEBUG: 1
%   KDTREE: 1
%
% PARAMETERS:
   EPSILON = 1e-08
   REPRESENTATION = LINKS
   RHO = 0.95
   SMALL_SIGMA = 1e-06
   SIGMA = 1e-05
   E = 0.4
   CE = 0.4
   R = 0.4
   SR = 1.25
   DELTA = 0.04
   BETA = 1.1
   STATE_PERIOD = 1000
   N_SOLUTIONS = 0
   MAX_NEWTON_ITERATIONS = 0
   N_DOF = 0
   GAMMA = 4
   DUMMIFY = 1
   ERROR_SPLIT = TRUE
   SAVE_SIMPLEX = 4
   SIMPLIFICATION_LEVEL = 2
   LR2TM_Q = 0.25
   LR2TM_S = 0.25
   VDW_RATIO = 0.8
   CUT_X = -INF
   CUT_Y = -INF
   CUT_Z = -INF
   COEF_TEMP = 1.1
   NFAIL_MAX = 10
   DETECT_BIFURCATIONS = 0
   MAX_PLANNING_TIME = 600
   MAX_PLANNING_ITERATIONS = 10001
   MAX_CHARTS = 150000
   MAX_NODES_RRT = 250000
   BI_RRT = 1
   RRT_GRAPH = 1
   DYNAMIC_DOMAIN = 0
   CD_ENGINE = SOLID
   SAMPLING = TANGENT_SAMPLING

==========================================================================
Equations from file: /Users/porta/cuikgit/CuikSuite/examples/ParallelPlatform/Dietmeier.cuik
% Kinematic equations

[SYSTEM VARS]
   platform_u_x : [-1,1]
   platform_u_y : [-1,1]
   platform_u_z : [-1,1]
   platform_v_x : [-1,1]
   platform_v_y : [-1,1]
   platform_v_z : [-1,1]

[DUMMY VARS]
   platform_w_x : [-1,1]
   platform_w_y : [-1,1]
   platform_w_z : [-1,1]
   platform_wp_x : [-1,1]
   platform_wp_y : [-1,1]
   platform_wp_z : [-1,1]

[SYSTEM VARS]
   leg1_u_x : [-1,1]
   leg1_u_y : [-1,1]
   leg1_u_z : [-1,1]
   leg2_u_x : [-1,1]
   leg2_u_y : [-1,1]
   leg2_u_z : [-1,1]
   leg3_u_x : [-1,1]
   leg3_u_y : [-1,1]
   leg3_u_z : [-1,1]
   leg4_u_x : [-1,1]
   leg4_u_y : [-1,1]
   leg4_u_z : [-1,1]
   leg5_u_x : [-1,1]
   leg5_u_y : [-1,1]
   leg5_u_z : [-1,1]
   leg6_u_x : [-1,1]
   leg6_u_y : [-1,1]
   leg6_u_z : [-1,1]

[SYSTEM EQS]
   platform_u_x*platform_v_x+platform_u_y*platform_v_y+platform_u_z*platform_v_z = 0;
   platform_u_x^2+platform_u_y^2+platform_u_z^2 = 1;
   platform_v_x^2+platform_v_y^2+platform_v_z^2 = 1;
   leg1_u_x^2+leg1_u_y^2+leg1_u_z^2 = 1;
   leg2_u_x^2+leg2_u_y^2+leg2_u_z^2 = 1;
   leg3_u_x^2+leg3_u_y^2+leg3_u_z^2 = 1;
   leg4_u_x^2+leg4_u_y^2+leg4_u_z^2 = 1;
   leg5_u_x^2+leg5_u_y^2+leg5_u_z^2 = 1;
   leg6_u_x^2+leg6_u_y^2+leg6_u_z^2 = 1;
   0.542805*platform_u_x+leg1_u_x-0.645275*leg2_u_x = 1.107915;
   0.542805*platform_u_y+leg1_u_y-0.645275*leg2_u_y = -0;
   0.542805*platform_u_z+leg1_u_z-0.645275*leg2_u_z = -0;
   0.956919*platform_u_x-0.528915*platform_v_x+leg1_u_x-1.086284*leg3_u_x = 0.549094;
   0.956919*platform_u_y-0.528915*platform_v_y+leg1_u_y-1.086284*leg3_u_y = 0.756063;
   0.956919*platform_u_z-0.528915*platform_v_z+leg1_u_z-1.086284*leg3_u_z = -0;
   0.6658849999999999*platform_u_x-0.353482*platform_v_x+1.402538*platform_w_x-1.402538*platform_wp_x+leg1_u_x-1.503439*leg4_u_x = 0.735077;
   0.6658849999999999*platform_u_y-0.353482*platform_v_y+1.402538*platform_w_y-1.402538*platform_wp_y+leg1_u_y-1.503439*leg4_u_y = -0.223935;
   0.6658849999999999*platform_u_z-0.353482*platform_v_z+1.402538*platform_w_z-1.402538*platform_wp_z+leg1_u_z-1.503439*leg4_u_z = 0.525991;
   0.478359*platform_u_x+1.158742*platform_v_x+0.107672*platform_w_x-0.107672*platform_wp_x+leg1_u_x-1.281933*leg5_u_x = 0.514188;
   0.478359*platform_u_y+1.158742*platform_v_y+0.107672*platform_w_y-0.107672*platform_wp_y+leg1_u_y-1.281933*leg5_u_y = -0.526063;
   0.478359*platform_u_z+1.158742*platform_v_z+0.107672*platform_w_z-0.107672*platform_wp_z+leg1_u_z-1.281933*leg5_u_z = -0.368418;
   0.137087*platform_u_x+0.235121*platform_v_x-0.353913*platform_w_x+0.353913*platform_wp_x-leg1_u_x+0.771071*leg6_u_x = -0.590473;
   0.137087*platform_u_y+0.235121*platform_v_y-0.353913*platform_w_y+0.353913*platform_wp_y-leg1_u_y+0.771071*leg6_u_y = -0.094733;
   0.137087*platform_u_z+0.235121*platform_v_z-0.353913*platform_w_z+0.353913*platform_wp_z-leg1_u_z+0.771071*leg6_u_z = 0.205018;

[DUMMY EQS]
   platform_u_y*platform_v_z-platform_w_x = 0;
   platform_u_z*platform_v_x-platform_w_y = 0;
   platform_u_x*platform_v_y-platform_w_z = 0;
   platform_u_z*platform_v_y-platform_wp_x = 0;
   platform_u_x*platform_v_z-platform_wp_y = 0;
   platform_u_y*platform_v_x-platform_wp_z = 0;




==========================================================================
%****************************************
% Simplified system 
% SIMPLIFICATION_LEVEL: 2
% Variable reduction 30 -> 30
% Num syst+secu variables in original  : 24 
% Num syst+secu variables in simplified: 24 
%   platform_u_x=platform_u_x
%   platform_u_y=platform_u_y
%   platform_u_z=platform_u_z
%   platform_v_x=platform_v_x
%   platform_v_y=platform_v_y
%   platform_v_z=platform_v_z
%   platform_w_x=platform_w_x
%   platform_w_y=platform_w_y
%   platform_w_z=platform_w_z
%   platform_wp_x=platform_wp_x
%   platform_wp_y=platform_wp_y
%   platform_wp_z=platform_wp_z
%   leg1_u_x=leg1_u_x
%   leg1_u_y=leg1_u_y
%   leg1_u_z=leg1_u_z
%   leg2_u_x=leg2_u_x
%   leg2_u_y=leg2_u_y
%   leg2_u_z=leg2_u_z
%   leg3_u_x=leg3_u_x
%   leg3_u_y=leg3_u_y
%   leg3_u_z=leg3_u_z
%   leg4_u_x=leg4_u_x
%   leg4_u_y=leg4_u_y
%   leg4_u_z=leg4_u_z
%   leg5_u_x=leg5_u_x
%   leg5_u_y=leg5_u_y
%   leg5_u_z=leg5_u_z
%   leg6_u_x=leg6_u_x
%   leg6_u_y=leg6_u_y
%   leg6_u_z=leg6_u_z

[SYSTEM VARS]
   platform_u_x : [-1,1]
   platform_u_y : [-1,1]
   platform_u_z : [-1,1]
   platform_v_x : [-1,1]
   platform_v_y : [-1,1]
   platform_v_z : [-1,1]

[DUMMY VARS]
   platform_w_x : [-1,1]
   platform_w_y : [-1,1]
   platform_w_z : [-1,1]
   platform_wp_x : [-1,1]
   platform_wp_y : [-1,1]
   platform_wp_z : [-1,1]

[SYSTEM VARS]
   leg1_u_x : [-1,1]
   leg1_u_y : [-1,1]
   leg1_u_z : [-1,1]
   leg2_u_x : [-1,1]
   leg2_u_y : [-1,1]
   leg2_u_z : [-1,1]
   leg3_u_x : [-1,1]
   leg3_u_y : [-1,1]
   leg3_u_z : [-1,1]
   leg4_u_x : [-1,1]
   leg4_u_y : [-1,1]
   leg4_u_z : [-1,1]
   leg5_u_x : [-1,1]
   leg5_u_y : [-1,1]
   leg5_u_z : [-1,1]
   leg6_u_x : [-1,1]
   leg6_u_y : [-1,1]
   leg6_u_z : [-1,1]

[DUMMY VARS]
   dummy_platform_u_x_platform_v_x : [-1,1]
   dummy_platform_u_y_platform_v_y : [-1,1]
   dummy_platform_u_z_platform_v_z : [-1,1]

[SYSTEM EQS]
   dummy_platform_u_x_platform_v_x+dummy_platform_u_y_platform_v_y+dummy_platform_u_z_platform_v_z = 0;
   platform_u_x^2+platform_u_y^2+platform_u_z^2 = 1;
   platform_v_x^2+platform_v_y^2+platform_v_z^2 = 1;
   leg1_u_x^2+leg1_u_y^2+leg1_u_z^2 = 1;
   leg2_u_x^2+leg2_u_y^2+leg2_u_z^2 = 1;
   leg3_u_x^2+leg3_u_y^2+leg3_u_z^2 = 1;
   leg4_u_x^2+leg4_u_y^2+leg4_u_z^2 = 1;
   leg5_u_x^2+leg5_u_y^2+leg5_u_z^2 = 1;
   leg6_u_x^2+leg6_u_y^2+leg6_u_z^2 = 1;
   0.542805*platform_u_x+leg1_u_x-0.645275*leg2_u_x = 1.107915;
   0.542805*platform_u_y+leg1_u_y-0.645275*leg2_u_y = 0;
   0.542805*platform_u_z+leg1_u_z-0.645275*leg2_u_z = 0;
   0.956919*platform_u_x-0.528915*platform_v_x+leg1_u_x-1.086284*leg3_u_x = 0.549094;
   0.956919*platform_u_y-0.528915*platform_v_y+leg1_u_y-1.086284*leg3_u_y = 0.756063;
   0.956919*platform_u_z-0.528915*platform_v_z+leg1_u_z-1.086284*leg3_u_z = 0;
   0.6658849999999999*platform_u_x-0.353482*platform_v_x+1.402538*platform_w_x-1.402538*platform_wp_x+leg1_u_x-1.503439*leg4_u_x = 0.735077;
   0.6658849999999999*platform_u_y-0.353482*platform_v_y+1.402538*platform_w_y-1.402538*platform_wp_y+leg1_u_y-1.503439*leg4_u_y = -0.223935;
   0.6658849999999999*platform_u_z-0.353482*platform_v_z+1.402538*platform_w_z-1.402538*platform_wp_z+leg1_u_z-1.503439*leg4_u_z = 0.525991;
   0.478359*platform_u_x+1.158742*platform_v_x+0.107672*platform_w_x-0.107672*platform_wp_x+leg1_u_x-1.281933*leg5_u_x = 0.514188;
   0.478359*platform_u_y+1.158742*platform_v_y+0.107672*platform_w_y-0.107672*platform_wp_y+leg1_u_y-1.281933*leg5_u_y = -0.526063;
   0.478359*platform_u_z+1.158742*platform_v_z+0.107672*platform_w_z-0.107672*platform_wp_z+leg1_u_z-1.281933*leg5_u_z = -0.368418;
   0.137087*platform_u_x+0.235121*platform_v_x-0.353913*platform_w_x+0.353913*platform_wp_x-leg1_u_x+0.771071*leg6_u_x = -0.590473;
   0.137087*platform_u_y+0.235121*platform_v_y-0.353913*platform_w_y+0.353913*platform_wp_y-leg1_u_y+0.771071*leg6_u_y = -0.094733;
   0.137087*platform_u_z+0.235121*platform_v_z-0.353913*platform_w_z+0.353913*platform_wp_z-leg1_u_z+0.771071*leg6_u_z = 0.205018;

[DUMMY EQS]
   platform_u_x*platform_v_x-dummy_platform_u_x_platform_v_x = 0;
   platform_u_y*platform_v_y-dummy_platform_u_y_platform_v_y = 0;
   platform_u_z*platform_v_z-dummy_platform_u_z_platform_v_z = 0;
   platform_u_y*platform_v_z-platform_w_x = 0;
   platform_u_z*platform_v_x-platform_w_y = 0;
   platform_u_x*platform_v_y-platform_w_z = 0;
   platform_u_z*platform_v_y-platform_wp_x = 0;
   platform_u_x*platform_v_z-platform_wp_y = 0;
   platform_u_y*platform_v_x-platform_wp_z = 0;

==========================================================================
Cuik executed in 1 processors
SOLUTIONS (to input file /Users/porta/cuikgit/CuikSuite/examples/ParallelPlatform/Dietmeier.cuik):

   1 (err:1.3139e-07 tm:10.01): <S> { 24  platform_u_x[-0.768310218347,-0.768309777945] platform_u_y[-0.0380464861625,-0.0380464330257] platform_u_z[-0.63894643764,-0.63894591089] platform_v_x[0.637073085978,0.637073604829] platform_v_y[0.051153045716,0.0511537528452] platform_v_z[-0.769104138943,-0.769103756393] leg1_u_x[0.998901192703,0.998901208537] leg1_u_y[-0.0415644408261,-0.0415641982248] leg1_u_z[-0.0216517132385,-0.0216516975049] leg2_u_x[-0.815243775405,-0.815243402164] leg2_u_y[-0.0964182149144,-0.0964177954911] leg2_u_z[-0.571035658164,-0.571035196412] leg3_u_x[-0.572926558678,-0.572926423857] leg3_u_y[-0.792693753563,-0.792693677965] leg3_u_z[-0.208307575255,-0.208306916504] leg4_u_x[-0.256807582534,-0.256807283348] leg4_u_y[-0.838564603064,-0.838564552978] leg4_u_z[-0.48047841674,-0.480478170405] leg5_u_x[0.672467516332,0.672468117756] leg5_u_y[0.326162821373,0.32616367193] leg5_u_z[-0.664382947553,-0.664382754426] leg6_u_x[0.500456519564,0.500456937939] leg6_u_y[-0.64365279469,-0.643652689154] leg6_u_z[0.579011282055,0.579011529891] }
   2 (err:5.83941e-07 tm:13.88): <S> { 24  platform_u_x[-0.512684562572,-0.512684503341] platform_u_y[-0.128567014886,-0.128566925698] platform_u_z[-0.848896414288,-0.848896392397] platform_v_x[-0.651892379736,-0.651892311057] platform_v_y[-0.585147026531,-0.585146932679] platform_v_z[0.482327037859,0.482327059787] leg1_u_x[0.854376238283,0.854376250693] leg1_u_y[-0.294202960834,-0.294202943797] leg1_u_z[0.428352471545,0.428352508412] leg2_u_x[-0.824185801883,-0.824185771239] leg2_u_y[-0.564084711662,-0.564084663022] leg2_u_z[-0.0502618801961,-0.0502618414341] leg3_u_x[0.146812720763,0.146812728496] leg3_u_y[-0.795189033184,-0.795189015729] leg3_u_z[-0.588320027018,-0.588320001629] leg4_u_x[-0.515692589803,-0.515692468528] leg4_u_y[0.780830584296,0.780830669269] leg4_u_z[-0.35265386961,-0.352653856852] leg5_u_x[-0.562115807305,-0.562115743871] leg5_u_y[-0.32877362454,-0.328773512618] leg5_u_z[0.758903019216,0.758903022606] leg6_u_x[0.375728879894,0.375728988001] leg6_u_y[0.0643741035715,0.0643741313373] leg6_u_z[0.924491050089,0.924491092543] }
   3 (err:1.89161e-08 tm:16.47): <S> { 24  platform_u_x[-0.382981896882,-0.38298184388] platform_u_y[-0.266292082424,-0.266292047821] platform_u_z[-0.884541369507,-0.884541356668] platform_v_x[-0.475822019691,-0.475821938015] platform_v_y[-0.763879057554,-0.76387899446] platform_v_z[0.435984253054,0.435984274053] leg1_u_x[0.83228464651,0.832284653641] leg1_u_y[-0.282751765248,-0.282751759419] leg1_u_z[0.476816209899,0.476816218547] leg2_u_x[-0.749315927174,-0.749315893605] leg2_u_y[-0.662192768864,-0.662192731093] leg2_u_z[-0.00514084894175,-0.00514084604907] leg3_u_x[0.155003113871,0.155003115803] leg3_u_y[-0.81894571464,-0.818945709625] leg3_u_z[-0.552541364026,-0.552541356807] leg4_u_x[-0.731738212162,-0.731738141375] leg4_u_y[0.570940591314,0.570940685889] leg4_u_z[-0.372271446506,-0.372271441048] leg5_u_x[-0.391372920648,-0.391372838927] leg5_u_y[-0.550664390154,-0.550664307704] leg5_u_z[0.73728965172,0.737289669694] leg6_u_x[0.163366722979,0.163366801126] leg6_u_y[0.0605328165052,0.0605328431501] leg6_u_z[0.984706587281,0.984706602042] }
   4 (err:2.29641e-07 tm:18.35): <S> { 24  platform_u_x[-0.260309891382,-0.260309872001] platform_u_y[-0.306586500351,-0.306586498458] platform_u_z[-0.915556382184,-0.915556376633] platform_v_x[-0.226750254359,-0.226750190197] platform_v_y[-0.902315225661,-0.902315202486] platform_v_z[0.366621854862,0.366621873053] leg1_u_x[0.82508017366,0.8250801759] leg1_u_y[-0.318925638646,-0.318925628164] leg1_u_z[0.46640019373,0.466400204087] leg2_u_x[-0.657289274799,-0.657289255446] leg2_u_y[-0.752148035064,-0.752148019221] leg2_u_z[-0.0473726522896,-0.0473726318646] leg3_u_x[0.135160133204,0.135160145687] leg3_u_y[-0.820337066104,-0.820337064008] leg3_u_z[-0.555678719619,-0.555678714153] leg4_u_x[-0.877650243891,-0.877650219989] leg4_u_y[0.295876541441,0.295876607635] leg4_u_z[-0.377077080245,-0.377077076404] leg5_u_x[-0.138405800547,-0.138405735456] leg5_u_y[-0.74297401288,-0.742973978135] leg5_u_z[0.654853776417,0.654853802186] leg6_u_x[-0.0110872409564,-0.0110872115798] leg6_u_y[-0.0677334701139,-0.0677334321168] leg6_u_z[0.997641844528,0.997641847588] }
   5 (err:1.94598e-05 tm:19.41): <S> { 24  platform_u_x[-0.262159388178,-0.262159322697] platform_u_y[-0.305118659398,-0.305118633965] platform_u_z[-0.915519034844,-0.915519013393] platform_v_x[0.0753300238652,0.0753303071756] platform_v_y[-0.952275698127,-0.952275683438] platform_v_z[0.29579781397,0.29579789356] leg1_u_x[0.855765555728,0.855765596843] leg1_u_y[-0.334679167891,-0.33467914595] leg1_u_z[0.394531502836,0.394531586838] leg2_u_x[-0.611291066501,-0.611291034596] leg2_u_y[-0.775326937865,-0.775326919584] leg2_u_z[-0.158718060708,-0.15871794425] leg3_u_x[0.0146950244732,0.0146951783529] leg3_u_y[-0.809220331166,-0.809220316389] leg3_u_z[-0.587321492242,-0.587321466741] leg4_u_x[-0.951060190764,-0.951060155092] leg4_u_y[0.0230989037525,0.0230991392974] leg4_u_z[-0.308141220364,-0.308141114558] leg5_u_x[0.1559131962,0.155913464393] leg5_u_y[-0.824606624408,-0.82460659195] leg5_u_z[0.543796751203,0.543796868819] leg6_u_x[-0.0738882656942,-0.073888242663] leg6_u_y[-0.208343748113,-0.208343637608] leg6_u_z[0.97526068675,0.975260711068] }
   6 (err:1.34614e-06 tm:33.97): <S> { 24  platform_u_x[-0.901448322895,-0.901448299441] platform_u_y[-0.0115885947208,-0.0115885815496] platform_u_z[-0.432731634748,-0.432731586651] platform_v_x[0.413965559759,0.413965608936] platform_v_y[0.269235396833,0.269235437602] platform_v_z[-0.869565865639,-0.869565854577] leg1_u_x[0.999627515943,0.999627516265] leg1_u_y[0.0261758156911,0.0261758246454] leg1_u_z[-0.00772370012078,-0.00772369259433] leg2_u_x[-0.926113890786,-0.926113870834] leg2_u_y[0.0308170447232,0.0308170696793] leg2_u_z[-0.375983255129,-0.375983203522] leg3_u_x[-0.580908960441,-0.580908957186] leg3_u_y[-0.813211987997,-0.813211987131] leg3_u_z[0.0350862214197,0.035086275575] leg4_u_x[-0.202536522403,-0.202536517326] leg4_u_y[-0.80044908661,-0.800449073713] leg4_u_z[-0.564145582012,-0.564145565144] leg5_u_x[0.427114677609,0.427114731366] leg5_u_y[0.588939538839,0.588939588559] leg5_u_z[-0.686092724227,-0.686092714388] leg6_u_x[0.622768817801,0.622768834082] leg6_u_y[-0.610957108537,-0.610957105335] leg6_u_z[0.488764149574,0.488764168003] }
   7 (err:3.32735e-07 tm:43.36): <S> { 24  platform_u_x[0.403995109405,0.403995112689] platform_u_y[-0.570369249935,-0.570369248342] platform_u_z[-0.715169120783,-0.715169118773] platform_v_x[0.546802940132,0.546802942469] platform_v_y[-0.476187161794,-0.476187160611] platform_v_z[0.68865980692,0.688659808695] leg1_u_x[0.636111780141,0.636111781176] leg1_u_y[0.771451959971,0.771451960761] leg1_u_z[0.0149557795494,0.0149557804155] leg2_u_x[-0.391325642258,-0.391325640031] leg2_u_y[0.715745503045,0.715745504935] leg2_u_z[-0.578422524459,-0.578422523245] leg3_u_x[0.16974943819,0.169749441713] leg3_u_y[-0.256420678048,-0.256420676116] leg3_u_z[-0.951542728658,-0.951542728171] leg4_u_x[-0.699582613944,-0.699582611423] leg4_u_y[-0.102943234156,-0.102943232795] leg4_u_z[-0.707097490253,-0.707097487409] leg5_u_x[0.678523227624,0.678523229529] leg5_u_y[0.312679213491,0.312679214364] leg5_u_z[0.664708910889,0.66470891276] leg6_u_x[-0.515969068299,-0.515969067275] leg6_u_y[0.817054187641,0.8170541886] leg6_u_z[0.257290446903,0.257290449594] }
   8 (err:2.24056e-06 tm:55.27): <S> { 24  platform_u_x[0.872889084606,0.872889098921] platform_u_y[-0.487412186268,-0.487412159937] platform_u_z[-0.0222262796571,-0.0222262424504] platform_v_x[-0.426919139228,-0.426919105547] platform_v_y[-0.785022724878,-0.785022699772] platform_v_z[0.44886456635,0.448864577249] leg1_u_x[0.539848416081,0.539848420479] leg1_u_y[0.678840388888,0.678840416651] leg1_u_z[0.497734242007,0.497734276001] leg2_u_x[-0.146074192041,-0.146074173432] leg2_u_y[0.642006324828,0.642006346201] leg2_u_z[0.752655420374,0.752655442041] leg3_u_x[0.968294204636,0.968294206311] leg3_u_y[-0.11822532984,-0.118225319554] leg3_u_z[0.220066132994,0.220066139062] leg4_u_x[0.136754194398,0.136754205525] leg4_u_y[0.212504639899,0.212504656962] leg4_u_z[-0.967543314639,-0.967543311982] leg5_u_x[-0.0599951373043,-0.0599950991719] leg5_u_y[0.0163358121223,0.0163358449992] leg5_u_z[0.998064989581,0.998064992301] leg6_u_x[-0.199091410462,-0.199091397564] leg6_u_y[0.908077870876,0.908077894976] leg6_u_z[0.368452374357,0.368452425317] }
   9 (err:8.44011e-08 tm:66.12): <S> { 24  platform_u_x[-0.681556062285,-0.681556060713] platform_u_y[0.427412214382,0.427412221482] platform_u_z[-0.593969809246,-0.593969803691] platform_v_x[-0.702125374179,-0.702125370332] platform_v_y[-0.153284566954,-0.153284562781] platform_v_z[0.695358756826,0.695358761304] leg1_u_x[0.903174122526,0.903174123216] leg1_u_y[-0.418445409294,-0.418445407963] leg1_u_z[0.0958120202938,0.0958120259459] leg2_u_x[-0.890617047408,-0.890617046865] leg2_u_y[-0.288937152455,-0.288937148189] leg2_u_z[-0.351164633759,-0.351164629518] leg3_u_x[0.0674324745418,0.0674324766569] leg3_u_y[-0.630070066927,-0.630070063703] leg3_u_z[-0.773604922423,-0.773604919879] leg4_u_x[0.167344911367,0.167344919585] leg4_u_y[0.927138202604,0.927138204527] leg4_u_z[-0.33527664916,-0.335276647018] leg5_u_x[-0.568225503182,-0.568225498844] leg5_u_y[0.179720025526,0.179720030796] leg5_u_z[0.803007154227,0.803007156389] leg6_u_x[0.83543560064,0.835435604202] leg6_u_y[-0.285843660944,-0.285843655286] leg6_u_z[0.469404679331,0.469404688586] }
  10 (err:2.458e-06 tm:77.9): <S> { 24  platform_u_x[-0.967647453912,-0.967647449042] platform_u_y[0.0945969871475,0.094597016078] platform_u_z[-0.233901313624,-0.233901280666] platform_v_x[0.251917036281,0.25191705343] platform_v_y[0.413708182099,0.413708201597] platform_v_z[-0.874861896796,-0.874861892217] leg1_u_x[0.998523184348,0.998523184831] leg1_u_y[0.0311963420309,0.0311963490097] leg1_u_z[0.0444773801123,0.0444773915611] leg2_u_x[-0.983511978149,-0.983511973839] leg2_u_y[0.127920756844,0.127920771127] leg2_u_z[-0.127829874508,-0.127829829525] leg3_u_x[-0.561339164617,-0.561339160407] leg3_u_y[-0.785394482415,-0.785394472563] leg3_u_z[0.26087132775,0.260871364598] leg4_u_x[-0.29951182066,-0.299511790323] leg4_u_y[-0.730384606307,-0.730384590309] leg4_u_z[-0.613865636459,-0.613865631921] leg5_u_x[0.245619223371,0.245619243674] leg5_u_y[0.767900271783,0.767900296192] leg5_u_z[-0.591608282071,-0.591608259172] leg6_u_x[0.630847925561,0.630847935455] leg6_u_y[-0.640975830339,-0.640975816402] leg6_u_z[0.437242357636,0.437242364709] }
  11 (err:8.35716e-07 tm:78.89): <S> { 24  platform_u_x[-0.944300925172,-0.944300919733] platform_u_y[0.327693284872,0.327693299731] platform_u_z[0.0302137980666,0.030213812207] platform_v_x[0.148424581868,0.148424586756] platform_v_y[0.506047270736,0.506047274113] platform_v_z[-0.849638924763,-0.849638922844] leg1_u_x[0.995367589503,0.995367590189] leg1_u_y[-0.0511993286865,-0.0511993232561] leg1_u_z[0.0813756095672,0.0813756128865] leg2_u_x[-0.968763199448,-0.968763195859] leg2_u_y[0.196310456992,0.196310461396] leg2_u_z[0.151525799787,0.151525816111] leg3_u_x[-0.493287111415,-0.493287105967] leg3_u_y[-0.700868635845,-0.700868628977] leg3_u_z[0.515219352347,0.515219366824] leg4_u_x[-0.554003803329,-0.554003787445] leg4_u_y[-0.603233166003,-0.603233156402] leg4_u_z[-0.573750426009,-0.573750420021] leg5_u_x[0.132476607572,0.132476612173] leg5_u_y[0.88311397376,0.883113978795] leg5_u_z[-0.450066280444,-0.45006627143] leg6_u_x[0.512923237671,0.512923247842] leg6_u_y[-0.768022259642,-0.768022252564] leg6_u_z[0.38347302401,0.383473026675] }
  12 (err:7.4909e-06 tm:87.32): <S> { 24  platform_u_x[-0.0404503596118,-0.0404503543019] platform_u_y[0.983337489752,0.983337496956] platform_u_z[-0.177231908889,-0.177231869847] platform_v_x[-0.932229509167,-0.932229481491] platform_v_y[0.0266955213046,0.0266955250383] platform_v_z[0.360881547718,0.360881617025] leg1_u_x[0.95586803325,0.955868043912] leg1_u_y[-0.0469956360555,-0.0469956207333] leg1_u_z[-0.29001329756,-0.290013265926] leg2_u_x[-0.269658086893,-0.269658072657] leg2_u_y[0.754352599057,0.754352618674] leg2_u_z[-0.598528756735,-0.598528737981] leg3_u_x[0.7927360395,0.79273605983] leg3_u_y[0.113962862047,0.113962873341] leg3_u_z[-0.5988171988,-0.598817169791] leg4_u_x[0.68358895026,0.683589002655] leg4_u_y[0.71469147452,0.714691517483] leg4_u_z[0.148061373039,0.148061413286] leg5_u_x[-0.482992809419,-0.482992785658] leg5_u_y[0.77987722797,0.779877239749] leg5_u_z[0.398132436721,0.398132487246] leg6_u_x[0.930386422259,0.93038643117] leg6_u_y[-0.284238382667,-0.284238344043] leg6_u_z[0.231494342718,0.231494421515] }
  13 (err:1.30256e-06 tm:115.36): <S> { 24  platform_u_x[0.160649561229,0.160649619238] platform_u_y[0.963663367047,0.963663374561] platform_u_z[-0.213411886465,-0.213411809807] platform_v_x[-0.857007196604,-0.857007050793] platform_v_y[0.0289304230563,0.0289304370247] platform_v_z[-0.514491928499,-0.514491686767] leg1_u_x[0.993725752061,0.993725754355] leg1_u_y[0.111785838076,0.111785856878] leg1_u_z[0.00361267536922,0.00361275559398] leg2_u_x[-0.0418238124381,-0.0418237671683] leg2_u_y[0.983870647583,0.983870682752] leg2_u_z[-0.173923309695,-0.173923120884] leg3_u_x[0.968111754684,0.968111776687] leg3_u_y[0.241712930531,0.241712947414] leg3_u_z[0.065836518715,0.0658367777885] leg4_u_x[-0.0120758314952,-0.0120756016837] leg4_u_y[0.891040552346,0.891040566654] leg4_u_z[0.453763030934,0.45376305327] leg5_u_x[-0.381753937253,-0.381753805373] leg5_u_y[0.905617458079,0.905617485665] leg5_u_z[-0.18471871024,-0.184718571937] leg6_u_x[0.531009741248,0.531009907077] leg6_u_y[-0.0361497266224,-0.0361497208339] leg6_u_z[0.84659416251,0.846594266585] }
  14 (err:2.92592e-07 tm:115.72): <S> { 24  platform_u_x[0.085868318472,0.0858685097285] platform_u_y[0.958900429535,0.958900435388] platform_u_z[-0.270437785476,-0.270437712526] platform_v_x[-0.970578521753,-0.970578357981] platform_v_y[0.0192225030006,0.0192225139412] platform_v_z[-0.24001697044,-0.240016308534] leg1_u_x[0.993577275536,0.993577283192] leg1_u_y[0.079665429935,0.0796655295498] leg1_u_z[-0.0803592989243,-0.0803591041146] leg2_u_x[-0.104959857186,-0.104959684468] leg2_u_y[0.930086208637,0.9300863658] leg2_u_z[-0.352027090883,-0.352026727616] leg3_u_x[0.95739773375,0.957397829544] leg3_u_y[0.212674955252,0.212675044573] leg3_u_z[-0.195343140775,-0.195342574897] leg4_u_x[0.228312834479,0.228313405727] leg4_u_y[0.886214061895,0.886214115828] leg4_u_z[0.403109942086,0.403110146699] leg5_u_x[-0.490201986841,-0.49020181754] leg5_u_y[0.871482336758,0.871482424511] leg5_u_z[-0.0148513200258,-0.0148508907503] leg6_u_x[0.7002235471,0.700223927437] leg6_u_y[-0.0659477751145,-0.0659476553555] leg6_u_z[0.710870833725,0.710871219701] }
  15 (err:1.20811e-05 tm:119.39): <S> { 24  platform_u_x[0.200591772435,0.200591818838] platform_u_y[0.972716490145,0.972716516991] platform_u_z[-0.116557153675,-0.116556852929] platform_v_x[-0.670069792317,-0.670069191498] platform_v_y[0.0494310336,0.0494311066454] platform_v_z[-0.740650959994,-0.740650419157] leg1_u_x[0.989132284404,0.989132302903] leg1_u_y[0.116671324192,0.116671354489] leg1_u_z[0.0894711269508,0.0894713678072] leg2_u_x[-0.0153430399825,-0.0153430294196] leg2_u_y[0.999057321586,0.999057345988] leg2_u_z[0.0406079906266,0.0406086168711] leg3_u_x[0.908048036711,0.908048305412] leg3_u_y[0.24420352977,0.244203569596] leg3_u_z[0.340312927802,0.340313677788] leg4_u_x[-0.251346905655,-0.251346256771] leg4_u_y[0.857210366273,0.857210509872] leg4_u_z[0.449460920269,0.449461011933] leg5_u_x[-0.220362528653,-0.220362029132] leg5_u_y[0.92807178549,0.928071827276] leg5_u_z[-0.300205359918,-0.300205125062] leg6_u_x[0.357649141278,0.357649610515] leg6_u_y[-0.0555194133834,-0.0555192889249] leg6_u_z[0.932204036044,0.932204207908] }
  16 (err:1.42424e-06 tm:128.92): <S> { 24  platform_u_x[0.826711557618,0.82671155922] platform_u_y[0.562537417278,0.562537420055] platform_u_z[0.00998256895798,0.00998257497074] platform_v_x[0.168452373758,0.168452379864] platform_v_y[-0.230552752767,-0.23055274923] platform_v_z[-0.958368002056,-0.958368000331] leg1_u_x[0.477891495201,0.477891496572] leg1_u_y[-0.781098769193,-0.781098768104] leg1_u_z[-0.40187614084,-0.401876138832] leg2_u_x[-0.280935007722,-0.280935006291] leg2_u_y[-0.73728355511,-0.737283552275] leg2_u_z[-0.614400915952,-0.614400912294] leg3_u_x[0.58069206879,0.580692071593] leg3_u_y[-0.807262389216,-0.8072623874] leg3_u_z[0.105471112917,0.105471116365] leg4_u_x[-0.345302268021,-0.345302264562] leg4_u_y[0.673454995642,0.673454996979] leg4_u_z[-0.653624291756,-0.653624288765] leg5_u_x[0.387353442357,0.387353447954] leg5_u_y[-0.130742527941,-0.130742523522] leg5_u_z[-0.912613665784,-0.912613663008] leg6_u_x[-0.590744417861,-0.59074441632] leg6_u_y[-0.801148395861,-0.801148394373] leg6_u_z[-0.0958242303546,-0.0958242254684] }
  17 (err:2.14829e-07 tm:138.41): <S> { 24  platform_u_x[-0.368747986457,-0.368747954832] platform_u_y[-0.923636051256,-0.923636037162] platform_u_z[0.104505456213,0.104505471287] platform_v_x[-0.443454749436,-0.443454687119] platform_v_y[0.0759957401563,0.0759957703521] platform_v_z[-0.893069195592,-0.893069161753] leg1_u_x[0.719131225961,0.719131230101] leg1_u_y[0.633882534911,0.633882547454] leg1_u_z[-0.284680894676,-0.284680856126] leg2_u_x[-0.912699268991,-0.912699248462] leg2_u_y[0.205382616898,0.205382648161] leg2_u_z[-0.353267692659,-0.353267620658] leg3_u_x[0.047616587938,0.0476165942281] leg3_u_y[-0.963118888358,-0.963118879107] leg3_u_z[0.264829506647,0.264829538506] leg4_u_x[0.692437509883,0.692437551028] leg4_u_y[-0.206832244463,-0.206832225571] leg4_u_z[-0.691195137226,-0.691195101315] leg5_u_x[-0.309953768335,-0.309953699277] leg5_u_y[0.597322336949,0.597322376907] leg5_u_z[-0.739685561227,-0.739685500541] leg6_u_x[0.742598355795,0.742598363684] leg6_u_y[0.66783546833,0.667835476771] leg6_u_z[-0.0504327092576,-0.0504327002971] }
  18 (err:1.38301e-06 tm:139.19): <S> { 24  platform_u_x[-0.389440355737,-0.389440323142] platform_u_y[-0.897709194762,-0.897709192487] platform_u_z[0.206044684337,0.206044750827] platform_v_x[-0.667548547967,-0.667548440803] platform_v_y[0.120968630854,0.120968639648] platform_v_z[-0.734673851184,-0.734673754687] leg1_u_x[0.707962978489,0.707962994585] leg1_u_y[0.685868398453,0.685868426133] leg1_u_z[-0.16844268485,-0.168442640936] leg2_u_x[-0.947413393859,-0.947413391349] leg2_u_y[0.307756164848,0.307756208784] leg2_u_z[-0.0877154698945,-0.0877153463185] leg3_u_x[0.128219233995,0.128219300069] leg3_u_y[-0.914320485207,-0.914320454501] leg3_u_z[0.384158662617,0.384158714221] leg4_u_x[0.558438566415,0.558438625722] leg4_u_y[-0.216119311138,-0.216119293795] leg4_u_z[-0.800898756647,-0.80089871053] leg5_u_x[-0.544260396041,-0.544260290851] leg5_u_y[0.684169634059,0.684169648161] leg5_u_z[-0.485481871734,-0.485481733006] leg6_u_x[0.716437916896,0.716437954119] leg6_u_y[0.694903406546,0.694903443021] leg6_u_z[-0.0618539919271,-0.0618539666921] }
  19 (err:8.95198e-07 tm:141.76): <S> { 24  platform_u_x[-0.274641414521,-0.274641374177] platform_u_y[-0.902131531276,-0.902131529637] platform_u_z[0.332762372242,0.33276240194] platform_v_x[-0.848377961236,-0.848377923385] platform_v_y[0.0644572599657,0.0644572829816] platform_v_z[-0.525452336182,-0.525452278224] leg1_u_x[0.667532044156,0.667532056209] leg1_u_y[0.738317082487,0.738317095336] leg1_u_z[-0.0963786272976,-0.0963786106911] leg2_u_x[-0.913501494419,-0.913501479125] leg2_u_y[0.385317232983,0.385317251608] leg2_u_z[0.13055898984,0.130559040552] leg3_u_x[0.280173764698,0.280173807577] leg3_u_y[-0.842417952038,-0.842417930333] leg3_u_z[0.460254990015,0.460255003251] leg4_u_x[0.455103144636,0.455103168234] leg4_u_y[-0.172669414787,-0.172669402477] leg4_u_z[-0.873536722204,-0.873536707649] leg5_u_x[-0.711702026249,-0.711701993885] leg5_u_y[0.672103571259,0.672103582715] leg5_u_z[-0.204345408095,-0.20434533394] leg6_u_x[0.615187913385,0.615187945479] leg6_u_y[0.779582214333,0.779582237802] leg6_u_z[-0.117453675529,-0.117453661759] }
  20 (err:3.25064e-07 tm:142.98): <S> { 24  platform_u_x[-0.21058246259,-0.210582444529] platform_u_y[-0.971898939977,-0.971898936326] platform_u_z[0.105202109074,0.105202114006] platform_v_x[-0.251238761394,-0.25123874361] platform_v_y[-0.0501948173021,-0.0501948037119] platform_v_z[-0.966622767112,-0.966622763325] leg1_u_x[0.689418315759,0.689418319725] leg1_u_y[0.593656297482,0.593656302023] leg1_u_z[-0.415059738132,-0.415059725381] leg2_u_x[-0.825697406681,-0.825697396968] leg2_u_y[0.102444218971,0.102444228992] leg2_u_z[-0.55473326065,-0.554733244644] leg3_u_x[0.066002913844,0.066002918229] leg3_u_y[-0.981222656768,-0.981222655958] leg3_u_z[0.181233861715,0.181233867685] leg4_u_x[0.816767474676,0.816767484734] leg4_u_y[-0.0893956271978,-0.0893956118889] leg4_u_z[-0.569999398251,-0.56999938649] leg5_u_x[-0.0896322436711,-0.08963222285] leg5_u_y[0.446105174129,0.446105189804] leg5_u_z[-0.890480902888,-0.890480892752] leg6_u_x[0.675995842063,0.67599585142] leg6_u_y[0.729589501423,0.72958950891] leg6_u_z[-0.103579775855,-0.103579767867] }
  21 (err:1.78186e-06 tm:157.04): <S> { 24  platform_u_x[-0.316631084163,-0.316630511949] platform_u_y[-0.570962562516,-0.570962202326] platform_u_z[0.757460565582,0.757461076622] platform_v_x[0.948521006452,0.948521195036] platform_v_y[-0.196694031417,-0.196693756646] platform_v_z[0.248231965002,0.248232468588] leg1_u_x[0.679796177975,0.679796426994] leg1_u_y[0.348060510481,0.34806088496] leg1_u_z[-0.645547083974,-0.645546619497] leg2_u_x[-0.929816758214,-0.929816662745] leg2_u_y[0.0591056096198,0.0591058869674] leg2_u_z[-0.363245785562,-0.363245495635] leg3_u_x[-0.620440751751,-0.620440568715] leg3_u_y[-0.782790495782,-0.782790334539] leg3_u_z[-0.0478807463446,-0.0478804785535] leg4_u_x[-0.393250415368,-0.393250121053] leg4_u_y[0.917391895022,0.917392045629] leg4_u_z[0.0612060186415,0.0612063877185] leg5_u_x[0.869013864953,0.869014077278] leg5_u_y[0.357977204771,0.357977322866] leg5_u_z[0.341565176783,0.341565840055] leg6_u_x[-0.113763677827,-0.113763319071] leg6_u_y[0.855871575723,0.855872059275] leg6_u_z[-0.504521229594,-0.50452049072] }
  22 (err:3.62534e-05 tm:167.79): <S> { 24  platform_u_x[-0.541607015188,-0.541606265363] platform_u_y[-0.173803465526,-0.173802671405] platform_u_z[0.822468495041,0.822468842943] platform_v_x[-0.83193192194,-0.831931443437] platform_v_y[0.251219636759,0.251220042508] platform_v_z[-0.494751022508,-0.494750364777] leg1_u_x[0.781100191606,0.781100539085] leg1_u_y[0.0687980291374,0.0687985106336] leg1_u_z[-0.620603932114,-0.620603554636] leg2_u_x[-0.962072693307,-0.962072599875] leg2_u_y[-0.0395845862422,-0.0395844647606] leg2_u_z[-0.269906229867,-0.269905904504] leg3_u_x[0.141540808043,0.141541381678] leg3_u_y[-0.908099705841,-0.908099612325] leg3_u_z[0.394107806729,0.394108195745] leg4_u_x[-0.126205318508,-0.126204550512] leg4_u_y[-0.829628149195,-0.829627946239] leg4_u_z[-0.543865682264,-0.543865163313] leg5_u_x[-0.756009152386,-0.756008770796] leg5_u_y[0.546280283413,0.546280597292] leg5_u_z[-0.360594328955,-0.360593915658] leg6_u_x[0.541825734759,0.541826052449] leg6_u_y[-0.51638729564,-0.516386342895] leg6_u_z[-0.663151466577,-0.663150634505] }
  23 (err:3.31634e-09 tm:173.13): <S> { 24  platform_u_x[-0.0856126077601,-0.0856089078508] platform_u_y[-0.404088884126,-0.404085865207] platform_u_z[0.910704483314,0.910706170121] platform_v_x[0.992919846592,0.992920102095] platform_v_y[-0.110149249441,-0.110148276406] platform_v_z[0.0444637854379,0.0444670770445] leg1_u_x[0.585909905851,0.585911286889] leg1_u_y[0.16149649151,0.161500019975] leg1_u_z[-0.79412119056,-0.794119454243] leg2_u_x[-0.880980454182,-0.880979485277] leg2_u_y[-0.0896413723705,-0.0896384437214] leg2_u_z[-0.464585375054,-0.464584103177] leg3_u_x[-0.524979877345,-0.524978017187] leg3_u_y[-0.849671793873,-0.849670731277] leg3_u_z[0.0495557931183,0.0495572833356] leg4_u_x[-0.293767485728,-0.29376611442] leg4_u_y[0.950412775771,0.950412900076] leg4_u_z[-0.102062674639,-0.102059883483] leg5_u_x[0.928421283774,0.928421880805] leg5_u_y[0.362266294186,0.362266917895] leg5_u_z[0.0824375109061,0.0824414954653] leg6_u_x[-0.255670930836,-0.255668755546] leg6_u_y[0.608805904182,0.608810643121] leg6_u_z[-0.750991175942,-0.750988074529] }
  24 (err:5.96532e-07 tm:175.57): <S> { 24  platform_u_x[-0.35749444172,-0.357494436914] platform_u_y[-0.163558840436,-0.16355883445] platform_u_z[0.919481500615,0.919481503414] platform_v_x[0.216483053096,0.216483063685] platform_v_y[-0.972241757465,-0.972241754818] platform_v_z[-0.0887752960009,-0.0887752943879] leg1_u_x[0.991613476922,0.991613477657] leg1_u_y[-0.12701603335,-0.127016026343] leg1_u_z[0.0238671273012,0.023867129489] leg2_u_x[-0.480959734789,-0.480959731623] leg2_u_y[-0.334425766796,-0.334425760397] leg2_u_z[0.810454898164,0.810454900282] leg3_u_x[-0.0129569115234,-0.0129569027582] leg3_u_y[-0.483628905238,-0.48362890315] leg3_u_z[0.875177239523,0.875177240666] leg4_u_x[0.808904619257,0.808904627539] leg4_u_y[0.376698944417,0.376698953977] leg4_u_z[0.451410244623,0.451410251171] leg5_u_x[0.511009917483,0.51100992559] leg5_u_y[-0.614505624787,-0.614505618338] leg5_u_z[0.601042178438,0.601042179922] leg6_u_x[0.934765905452,0.934765909135] leg6_u_y[0.114752516368,0.114752529553] leg6_u_z[0.336220991214,0.336220997428] }
  25 (err:1.329e-07 tm:176.22): <S> { 24  platform_u_x[-0.10237752013,-0.102377443696] platform_u_y[-0.0208924665383,-0.0208924503727] platform_u_z[0.9945261931,0.994526200756] platform_v_x[-0.141893712944,-0.141893677955] platform_v_y[-0.989249136374,-0.989249131754] platform_v_z[-0.0353882830544,-0.0353882651829] leg1_u_x[0.870077483317,0.870077526631] leg1_u_y[-0.451122023342,-0.451121974836] leg1_u_z[-0.19863054456,-0.198630464229] leg2_u_x[-0.454703043609,-0.454703036267] leg2_u_y[-0.716690647626,-0.716690561939] leg2_u_z[0.528771841139,0.528771959347] leg3_u_x[0.274390702394,0.27439074203] leg3_u_y[-0.648033769027,-0.648033712035] leg3_u_z[0.710466013078,0.710466079174] leg4_u_x[0.996307481854,0.996307487452] leg4_u_y[-0.0628030659251,-0.0628029740007] leg4_u_z[0.0585420163808,0.0585421705544] leg5_u_x[0.193854991468,0.193855023759] leg5_u_y[-0.855678170997,-0.855678126122] leg5_u_z[0.47982820645,0.479828278133] leg6_u_x[0.875995413137,0.875995480431] leg6_u_y[-0.468988014532,-0.468987926704] leg6_u_z[-0.112615621561,-0.112615465355] }
  26 (err:1.08321e-06 tm:177.53): <S> { 24  platform_u_x[-0.25103721527,-0.251037180583] platform_u_y[-0.049497697848,-0.0494976718583] platform_u_z[0.966711070488,0.966711081247] platform_v_x[-0.00311214372571,-0.00311208507626] platform_v_y[-0.998645309103,-0.998645308184] platform_v_z[-0.0519409508723,-0.0519409400045] leg1_u_x[0.958098195418,0.958098212391] leg1_u_y[-0.284038713023,-0.284038661837] leg1_u_z[-0.0370115706374,-0.0370115408469] leg2_u_x[-0.443347478695,-0.443347472501] leg2_u_y[-0.48181984004,-0.481819781073] leg2_u_z[0.755839041809,0.755839079283] leg3_u_x[0.156890794422,0.15689083817] leg3_u_y[-0.5148455587,-0.514845533318] leg3_u_z[0.842804435194,0.842804457918] leg4_u_x[0.940894497194,0.940894523869] leg4_u_y[0.157926081846,0.157926152936] leg4_u_z[0.299627844599,0.299627895319] leg5_u_x[0.331095040071,0.331095092397] leg5_u_y[-0.733699433305,-0.733699397291] leg5_u_z[0.593347466653,0.593347480813] leg6_u_x[0.966641062494,0.966641068206] leg6_u_y[-0.1852789354,-0.185278841382] leg6_u_z[0.176852403172,0.176852462493] }
  27 (err:1.05789e-07 tm:196.38):{ 24  platform_u_x[0.0636826111142,0.0636865011092] platform_u_y[-0.2732965139,-0.273292879741] platform_u_z[0.959819535314,0.959820312073] platform_v_x[0.992514396345,0.99251468257] platform_v_y[-0.0830830397774,-0.0830826720366] platform_v_z[-0.0895122468621,-0.0895087344289] leg1_u_x[0.534003378168,0.534004621546] leg1_u_y[0.00617404727671,0.00617841153362] leg1_u_z[-0.845459799913,-0.845458982587] leg2_u_x[-0.835834549206,-0.835833203314] leg2_u_y[-0.220325743846,-0.220322037409] leg2_u_z[-0.502831406416,-0.502830792641] leg3_u_x[-0.441050573558,-0.441048151802] leg3_u_y[-0.890618319177,-0.890617324065] leg3_u_z[0.110793383311,0.110795025269] leg4_u_x[-0.241678359056,-0.241677071431] leg4_u_y[0.945564524627,0.94556490833] leg4_u_z[-0.217944769111,-0.217941677439] leg5_u_x[0.945110557444,0.945110809984] leg5_u_y[0.318596628075,0.318598255181] leg5_u_z[-0.0725378896211,-0.0725340322958] leg6_u_x[-0.339373161658,-0.3393711036] leg6_u_y[0.398936114325,0.398942042372] leg6_u_z[-0.851866089285,-0.851864132966] }
  28 (err:8.59553e-08 tm:196.4):{ 24  platform_u_x[0.0636865011079,0.063690473717] platform_u_y[-0.273292882652,-0.273289171336] platform_u_z[0.95982031124,0.959821104454] platform_v_x[0.992514104312,0.992514396626] platform_v_y[-0.0830826735032,-0.0830822979955] platform_v_z[-0.0895158329533,-0.0895122459331] leg1_u_x[0.534002108721,0.534003378497] leg1_u_y[0.0061695932089,0.00617405012394] leg1_u_z[-0.845460634309,-0.845459799654] leg2_u_x[-0.835833203825,-0.835831829348] leg2_u_y[-0.220329526858,-0.220325741717] leg2_u_z[-0.502832032397,-0.502831405623] leg3_u_x[-0.441048152168,-0.441045678972] leg3_u_y[-0.890619335007,-0.890618318767] leg3_u_z[0.110795024528,0.110796701352] leg4_u_x[-0.241677073178,-0.241675758229] leg4_u_y[0.945564133526,0.945564525382] leg4_u_z[-0.217947923618,-0.217944766329] leg5_u_x[0.945110809563,0.945111067448] leg5_u_y[0.318594967885,0.318596629553] leg5_u_z[-0.0725418278829,-0.072537888659] leg6_u_x[-0.339375262329,-0.339373160576] leg6_u_y[0.398930064686,0.398936118609] leg6_u_z[-0.851868085239,-0.851866087442] }
  29 (err:4.07755e-08 tm:208.41):{ 24  platform_u_x[0.236218569203,0.236224004618] platform_u_y[-0.102026076329,-0.102020407994] platform_u_z[0.966328130601,0.966328855182] platform_v_x[0.965580862697,0.965582163534] platform_v_y[-0.0867721913093,-0.0867713979254] platform_v_z[-0.245202333603,-0.245197491535] leg1_u_x[0.485480743439,0.485482036738] leg1_u_y[-0.200818180543,-0.200811332952] leg1_u_z[-0.850871318387,-0.850870439829] leg2_u_x[-0.765894115733,-0.765891574285] leg2_u_y[-0.397032843525,-0.39702698358] leg2_u_z[-0.505742798265,-0.505742045715] leg3_u_x[-0.320616694866,-0.320612491993] leg3_u_y[-0.928496906924,-0.928495965549] leg3_u_z[0.187350411696,0.18735293957] leg4_u_x[-0.186856545296,-0.186854881242] leg4_u_y[0.91507362795,0.915075016054] leg4_u_z[-0.35738705628,-0.357382633389] leg5_u_x[0.947688800787,0.947688984913] leg5_u_y[0.22044662202,0.220450529679] leg5_u_z[-0.230844587027,-0.230840100536] leg6_u_x[-0.42262609303,-0.422623765342] leg6_u_y[0.116151329037,0.116160736822] leg6_u_z[-0.898830382017,-0.898830259846] }
  30 (err:1.40667e-08 tm:208.45):{ 24  platform_u_x[0.236224001125,0.236229060782] platform_u_y[-0.102020407996,-0.102015122544] platform_u_z[0.966327453428,0.966328131458] platform_v_x[0.965579646695,0.965580863856] platform_v_y[-0.0867729317398,-0.0867721894014] platform_v_z[-0.245206860303,-0.245202329782] leg1_u_x[0.485479534574,0.485480744675] leg1_u_y[-0.20082458609,-0.200818179159] leg1_u_z[-0.850870440325,-0.850869618228] leg2_u_x[-0.765891575688,-0.76588919775] leg2_u_y[-0.397038324259,-0.397032841378] leg2_u_z[-0.505742046861,-0.505741342637] leg3_u_x[-0.320612494523,-0.320608562052] leg3_u_y[-0.928497786914,-0.92849690611] leg3_u_z[0.187352938475,0.187355303672] leg4_u_x[-0.186854883936,-0.186853326922] leg4_u_y[0.9150723297,0.915073628511] leg4_u_z[-0.357391193882,-0.357387055651] leg5_u_x[0.947688629192,0.94768880149] leg5_u_y[0.22044296845,0.22044662469] leg5_u_z[-0.230848780791,-0.230844582994] leg6_u_x[-0.42262826909,-0.422626091219] leg6_u_y[0.116142527783,0.116151330123] leg6_u_z[-0.898830495478,-0.898830381228] }
  31 (err:1.03954e-07 tm:213.63):{ 24  platform_u_x[0.368855111217,0.368859026353] platform_u_y[0.0407016615255,0.0407059685914] platform_u_z[0.928593583274,0.928595327284] platform_v_x[0.924343231401,0.924344737289] platform_v_y[-0.121005787545,-0.121004311022] platform_v_z[-0.361866259696,-0.361862907066] leg1_u_x[0.458734395935,0.458735027793] leg1_u_y[-0.373480916834,-0.373475725512] leg1_u_z[-0.806274182224,-0.80627213665] leg2_u_x[-0.69577090941,-0.695768595088] leg2_u_y[-0.544551568795,-0.544547146762] leg2_u_z[-0.468370842819,-0.468369138935] leg3_u_x[-0.20831965191,-0.208316051485] leg3_u_y[-0.945047359812,-0.945047093635] leg3_u_z[0.251970064231,0.251972043264] leg4_u_x[-0.146682672666,-0.146681504255] leg4_u_y[0.872262684089,0.872264215554] leg4_u_z[-0.466521538532,-0.46651830795] leg5_u_x[0.938099978656,0.938100416799] leg5_u_y[0.108141816427,0.108145623295] leg5_u_z[-0.329049810171,-0.329047309713] leg6_u_x[-0.473474637493,-0.473473335008] leg6_u_y[-0.12233154217,-0.122324330037] leg6_u_z[-0.87227275522,-0.872271036711] }
  32 (err:5.52078e-10 tm:213.65):{ 24  platform_u_x[0.368859022784,0.368862443413] platform_u_y[0.0407059685906,0.0407097306862] platform_u_z[0.928592060972,0.928593584591] platform_v_x[0.924341917354,0.924343233149] platform_v_y[-0.121007076018,-0.121005785595] platform_v_z[-0.361869185438,-0.361866255995] leg1_u_x[0.458733844828,0.458734396979] leg1_u_y[-0.373485450481,-0.373480915597] leg1_u_z[-0.806272137137,-0.806270350226] leg2_u_x[-0.695768596687,-0.695766574777] leg2_u_y[-0.54455543003,-0.544551566878] leg2_u_z[-0.468369140294,-0.468367651515] leg3_u_x[-0.208316054502,-0.208312908876] leg3_u_y[-0.945047591756,-0.945047359168] leg3_u_z[0.251972042478,0.251973771454] leg4_u_x[-0.146681506634,-0.146680485204] leg4_u_y[0.872261346696,0.872262684574] leg4_u_z[-0.466524359924,-0.466521537612] leg5_u_x[0.938099596682,0.938099979737] leg5_u_y[0.108138492779,0.108141818928] leg5_u_z[-0.329051991392,-0.329049806307] leg6_u_x[-0.473475773696,-0.473474635694] leg6_u_y[-0.122337840971,-0.122331541066] leg6_u_z[-0.872271037798,-0.872269536492] }
  33 (err:2.07574e-06 tm:213.71):{ 24  platform_u_x[0.368862441637,0.368862934775] platform_u_y[0.0407097306854,0.0407102722521] platform_u_z[0.928591841941,0.928592061591] platform_v_x[0.924341728451,0.92434191812] platform_v_y[-0.121007260915,-0.121007074981] platform_v_z[-0.361869605919,-0.361869183466] leg1_u_x[0.458733765643,0.45873384543] leg1_u_y[-0.37348610278,-0.373485449873] leg1_u_z[-0.80627035051,-0.806270093146] leg2_u_x[-0.695766575476,-0.695766284205] leg2_u_y[-0.544555985372,-0.544555429093] leg2_u_z[-0.468367652151,-0.468367437723] leg3_u_x[-0.208312910276,-0.208312456948] leg3_u_y[-0.945047625112,-0.945047591494] leg3_u_z[0.25197377094,0.251974019935] leg4_u_x[-0.14668048625,-0.14668033914] leg4_u_y[0.872261154312,0.872261346964] leg4_u_z[-0.466524765617,-0.466524359286] leg5_u_x[0.938099541939,0.938099597279] leg5_u_y[0.108138015065,0.10813849414] leg5_u_z[-0.329052304722,-0.329051989375] leg6_u_x[-0.473475937117,-0.473475772714] leg6_u_y[-0.122338747448,-0.122337840498] leg6_u_z[-0.872269537046,-0.872269320607] }
  34 (err:3.2081e-07 tm:220.15): <S> { 24  platform_u_x[0.744610455083,0.744610465282] platform_u_y[-0.620756206956,-0.620756200443] platform_u_z[0.245391511947,0.24539152828] platform_v_x[-0.654481012551,-0.654480998814] platform_v_y[-0.606710826273,-0.606710815019] platform_v_z[0.45117246273,0.451172467555] leg1_u_x[0.521847667016,0.521847667911] leg1_u_y[0.810720213204,0.810720218069] leg1_u_z[0.26534456902,0.265344582614] leg2_u_x[-0.281878353664,-0.281878344479] leg2_u_y[0.734215091786,0.734215095304] leg2_u_z[0.617634834025,0.61763484136] leg3_u_x[0.949521841477,0.949521844211] leg3_u_y[-0.201105548887,-0.201105542043] leg3_u_z[0.240758859549,0.240758864088] leg4_u_x[0.219462792069,0.219462797715] leg4_u_y[0.0926752033169,0.0926752108208] leg4_u_z[-0.971209240275,-0.971209239508] leg5_u_x[-0.318775599733,-0.318775583828] leg5_u_y[0.221035618614,0.221035629838] leg5_u_z[0.921697004009,0.92169701236] leg6_u_x[-0.0820262981507,-0.0820262890834] leg6_u_y[0.996016098789,0.996016100279] leg6_u_z[0.0349802225103,0.0349802409779] }
  35 (err:2.46561e-07 tm:233.99): <S> { 24  platform_u_x[0.777174053209,0.777174054542] platform_u_y[-0.215031457197,-0.215031453976] platform_u_z[0.591406765014,0.591406767355] platform_v_x[-0.628581349794,-0.628581347533] platform_v_y[-0.220815628628,-0.220815626558] platform_v_z[0.74573852365,0.74573852508] leg1_u_x[0.48912217377,0.489122174634] leg1_u_y[0.69622995698,0.696229959351] leg1_u_z[-0.525379239749,-0.525379236885] leg2_u_x[-0.305201447345,-0.305201445944] leg2_u_y[0.89808191615,0.898081917614] leg2_u_z[-0.316703249898,-0.316703246862] leg3_u_x[0.935470739003,0.935470739821] leg3_u_y[-0.136988145366,-0.136988143734] leg3_u_z[-0.325774069959,-0.325774067804] leg4_u_x[0.300643276542,0.300643279161] leg4_u_y[-0.318751613687,-0.318751611171] leg4_u_z[-0.898894337805,-0.898894336155] leg5_u_x[-0.300223281229,-0.300223278949] leg5_u_y[0.593737971018,0.593737972153] leg5_u_z[0.746552879555,0.746552881186] leg6_u_x[-0.091603713938,-0.0916037116826] leg6_u_y[0.448999252051,0.448999257071] leg6_u_z[-0.888824184931,-0.888824182098] }
  36 (err:3.58965e-06 tm:254.06): <S> { 24  platform_u_x[-0.772754074949,-0.772754064224] platform_u_y[0.12447514168,0.124475155898] platform_u_z[0.622380169208,0.622380185233] platform_v_x[-0.530468248877,-0.530468227663] platform_v_y[0.411756420331,0.411756427673] platform_v_z[-0.7409859,-0.74098588808] leg1_u_x[0.89137485554,0.891374861039] leg1_u_y[-0.0798270442343,-0.0798270374256] leg1_u_z[-0.446182149731,-0.446182137895] leg2_u_x[-0.985618402689,-0.985618401626] leg2_u_y[-0.0190016793668,-0.0190016763854] leg2_u_z[-0.167914568914,-0.167914563524] leg3_u_x[-0.10734724301,-0.107347229117] leg3_u_y[-0.860328935148,-0.860328931353] leg3_u_z[0.498307832275,0.498307835706] leg4_u_x[-0.438691384155,-0.438691369455] leg4_u_y[-0.787993045748,-0.787993038111] leg4_u_z[-0.431991717113,-0.431991712472] leg5_u_x[-0.502886577762,-0.502886559226] leg5_u_y[0.690908203907,0.690908211876] leg5_u_z[-0.519375540193,-0.519375531554] leg6_u_x[0.529420434489,0.529420441291] leg6_u_y[-0.788426093878,-0.788426083917] leg6_u_z[-0.313206494555,-0.313206474759] }
  37 (err:9.22313e-06 tm:270.97): <S> { 24  platform_u_x[0.0995042417399,0.0995043142301] platform_u_y[0.981800854526,0.981800863697] platform_u_z[0.16175896825,0.161759015073] platform_v_x[0.279494437347,0.279494820472] platform_v_y[0.128443091397,0.128443142354] platform_v_z[-0.951517325268,-0.951517210067] leg1_u_x[0.917778059491,0.91777812151] leg1_u_y[-0.111176254198,-0.111176106584] leg1_u_z[0.381212791787,0.381212894687] leg2_u_x[-0.210957372232,-0.210957283962] leg2_u_y[0.653597549783,0.653597785351] leg2_u_z[0.726847272071,0.726847455621] leg3_u_x[0.29096682102,0.290967043487] leg3_u_y[0.00398529060503,0.00398541456408] leg3_u_z[0.956724775624,0.956724840512] leg4_u_x[-0.791005696203,-0.79100564719] leg4_u_y[0.610151175338,0.610151249935] leg4_u_z[-0.0450059333203,-0.0450056364624] leg5_u_x[0.524385050992,0.524385371281] leg5_u_y[0.817854566237,0.817854716528] leg5_u_z[-0.236926081208,-0.236925917891] leg6_u_x[-0.116759216646,-0.116759072195] leg6_u_y[-0.416552909679,-0.41655276619] leg6_u_z[0.901582475074,0.901582556961] }
  38 (err:6.62842e-07 tm:275.19): <S> { 24  platform_u_x[0.347483672168,0.34748368183] platform_u_y[0.924976153648,0.924976156837] platform_u_z[0.153864245373,0.153864248093] platform_v_x[0.661165322214,0.661165327464] platform_v_y[-0.125334293806,-0.125334283431] platform_v_z[-0.739697055359,-0.739697049378] leg1_u_x[0.803267814325,0.803267818027] leg1_u_y[-0.296007117938,-0.296007113168] leg1_u_z[0.516856461142,0.516856464242] leg2_u_x[-0.179816834402,-0.17981683041] leg2_u_y[0.319359285954,0.319359295716] leg2_u_z[0.930416867057,0.93041687093] leg3_u_x[0.218163287623,0.21816329198] leg3_u_y[-0.0926568696505,-0.0926568655963] leg3_u_z[0.971503722483,0.971503723571] leg4_u_x[-0.576483224246,-0.576483215306] leg4_u_y[0.725893688547,0.725893692602] leg4_u_z[-0.37516056545,-0.375160558503] leg5_u_x[0.896949194755,0.896949200764] leg5_u_y[0.441462308026,0.441462321042] leg5_u_z[0.0243549022145,0.0243549089231] leg6_u_x[-0.292602807952,-0.292602804005] leg6_u_y[-0.468313473929,-0.468313468776] leg6_u_z[0.833706235813,0.833706239214] }
  39 (err:8.1331e-07 tm:276.43): <S> { 24  platform_u_x[0.191288328145,0.191288334572] platform_u_y[0.943756500688,0.943756504563] platform_u_z[0.269689516522,0.269689526313] platform_v_x[-0.727039340064,-0.727039336708] platform_v_y[-0.0483533619372,-0.0483533585191] platform_v_z[0.684891050144,0.684891053661] leg1_u_x[0.863325713446,0.863325715406] leg1_u_y[0.00564402599455,0.00564403000181] leg1_u_z[-0.504615553975,-0.504615550867] leg2_u_x[-0.218134940611,-0.218134937725] leg2_u_y[0.802634187593,0.802634190713] leg2_u_z[-0.555153590296,-0.555153586481] leg3_u_x[0.811777733237,0.811777736314] leg3_u_y[0.164095552448,0.16409555459] leg3_u_z[-0.560436937867,-0.56043693304] leg4_u_x[0.956120425748,0.956120428296] leg4_u_y[0.276933773638,0.276933783028] leg4_u_z[-0.0956107312308,-0.0956107255689] leg5_u_x[-0.258054619907,-0.258054615727] leg5_u_y[0.695757352491,0.695757354845] leg5_u_z[0.670320458124,0.670320461767] leg6_u_x[0.844209978829,0.844209982607] leg6_u_y[-0.41871243359,-0.418712431729] leg6_u_z[-0.334648189135,-0.334648179105] }
  40 (err:3.81351e-07 tm:291.22): <S> { 24  platform_u_x[0.108313821527,0.10831382247] platform_u_y[0.512433497521,0.512433499707] platform_u_z[0.851868548749,0.851868550056] platform_v_x[-0.756895696708,-0.75689569519] platform_v_y[-0.513035561935,-0.513035559811] platform_v_z[0.404849871319,0.40484987237] leg1_u_x[0.968094275324,0.968094275654] leg1_u_y[0.236773415709,0.236773416676] leg1_u_z[-0.0820476890694,-0.082047687466] leg2_u_x[-0.125570401287,-0.125570400267] leg2_u_y[0.797992918634,0.797992921226] leg2_u_z[0.589439880003,0.589439883479] leg3_u_x[0.849668517678,0.849668518943] leg3_u_y[0.223164448821,0.22316445031] leg3_u_z[0.477766717223,0.477766720057] leg4_u_x[0.982163597512,0.982163598036] leg4_u_y[0.0116095375093,0.0116095393328] leg4_u_z[0.187669617862,0.187669619757] leg5_u_x[-0.235529728994,-0.235529727527] leg5_u_y[0.264711142088,0.264711145049] leg5_u_z[0.935122321655,0.935122322849] leg6_u_x[0.997094915311,0.997094915573] leg6_u_y[-0.0665256289138,-0.066525627201] leg6_u_z[0.0370954220444,0.0370954240182] }
  41 (err:9.17179e-07 tm:296.41): <S> { 24  platform_u_x[0.275453496733,0.275453503825] platform_u_y[0.490427568075,0.49042757258] platform_u_z[0.826804792434,0.826804795604] platform_v_x[0.958346561502,0.958346563254] platform_v_y[-0.207623652173,-0.207623648196] platform_v_z[-0.1961231434,-0.196123137603] leg1_u_x[0.535059804394,0.535059806108] leg1_u_y[-0.74959611333,-0.749596110576] leg1_u_z[-0.389636594736,-0.389636589024] leg2_u_x[-0.656057740693,-0.656057737298] leg2_u_y[-0.74912180952,-0.749121806432] leg2_u_z[0.0916774742832,0.0916774808526] leg3_u_x[-0.236891440705,-0.236891435147] leg3_u_y[-0.852948574936,-0.852948573223] leg3_u_z[0.465146401372,0.46514640542] leg4_u_x[-0.165947196503,-0.165947192682] leg4_u_y[0.705974953952,0.705974955727] leg4_u_z[-0.68852080053,-0.688520799042] leg5_u_x[0.991659442836,0.991659443252] leg5_u_y[-0.107948380666,-0.107948375889] leg5_u_z[0.0704180102795,0.0704180166902] leg6_u_x[-0.378419531769,-0.378419528566] leg6_u_y[-0.730407241551,-0.73040723673] leg6_u_z[-0.568598213106,-0.568598206457] }
  42 (err:4.73343e-08 tm:304.58): <S> { 24  platform_u_x[0.853425296298,0.853425316589] platform_u_y[0.469308239846,0.469308242932] platform_u_z[0.226748770334,0.226748841031] platform_v_x[0.505719370998,0.505719412268] platform_v_y[-0.640298125596,-0.64029807806] platform_v_z[-0.578157632026,-0.578157615155] leg1_u_x[0.484611613392,0.484611620758] leg1_u_y[-0.87393474767,-0.873934746346] leg1_u_z[-0.0372778907965,-0.0372778215348] leg2_u_x[-0.248049077747,-0.248049049288] leg2_u_y[-0.959578299737,-0.95957829874] leg2_u_z[0.132970460434,0.132970508309] leg3_u_x[0.446194468087,0.446194512816] leg3_u_y[-0.775344675237,-0.77534465359] leg3_u_z[0.446935258223,0.446935264956] leg4_u_x[-0.0251898272552,-0.025189825512] leg4_u_y[0.493337330112,0.493337363624] leg4_u_z[-0.869473260972,-0.869473241747] leg5_u_x[0.741913222393,0.741913248452] leg5_u_y[-0.623933126687,-0.623933079612] leg5_u_z[-0.245504060578,-0.245504020386] leg6_u_x[-0.501128069813,-0.501128062504] leg6_u_y[-0.865350756958,-0.865350751935] leg6_u_z[-0.00622363161465,-0.00622354912394] }
  43 (err:6.28948e-09 tm:318.8): <S> { 24  platform_u_x[0.508689069031,0.508691691361] platform_u_y[0.195637816948,0.195640699327] platform_u_z[0.838425596024,0.838427858488] platform_v_x[0.85812781531,0.858129311583] platform_v_y[-0.193984455156,-0.193982679881] platform_v_z[-0.475380567445,-0.475378590553] leg1_u_x[0.443037430207,0.44303758688] leg1_u_y[-0.558623206357,-0.558619799633] leg1_u_z[-0.701185864273,-0.701183248924] leg2_u_x[-0.602469400124,-0.602467438314] leg2_u_y[-0.701140531645,-0.701137676812] leg2_u_z[-0.381361482387,-0.381359332495] leg3_u_x[-0.0673485398051,-0.067345646836] leg3_u_y[-0.94346681564,-0.943466548236] leg3_u_z[0.324552834124,0.324554211263] leg4_u_x[-0.105740026425,-0.105739278299] leg4_u_y[0.806426897028,0.806428349601] leg4_u_z[-0.581803114988,-0.581800965914] leg5_u_x[0.915830589672,0.915831145861] leg5_u_y[-0.0469967804205,-0.046993514554] leg5_u_z[-0.398805257976,-0.398804365227] leg6_u_x[-0.511352073004,-0.51135153529] leg6_u_y[-0.38174196455,-0.381737141988] leg6_u_z[-0.769932699406,-0.769929951433] }
  44 (err:1.93898e-07 tm:321.69): <S> { 24  platform_u_x[0.635108455561,0.635108894306] platform_u_y[0.328441505766,0.328441932552] platform_u_z[0.699115576381,0.699116175709] platform_v_x[0.772001398333,0.77200175274] platform_v_y[-0.299793897385,-0.299793456125] platform_v_z[-0.560479669467,-0.560479417647] leg1_u_x[0.442198643698,0.442198665622] leg1_u_y[-0.713494541264,-0.713494051053] leg1_u_z[-0.543494800661,-0.543494139786] leg2_u_x[-0.497425610748,-0.497425208027] leg2_u_y[-0.829436469823,-0.829436069143] leg2_u_z[-0.254172321732,-0.25417180171] leg3_u_x[0.0851790921612,0.0851796711895] leg3_u_y[-0.917531582868,-0.917531443306] leg3_u_z[0.388433155845,0.388433358889] leg4_u_x[-0.0712267684515,-0.0712266561827] leg4_u_y[0.725900660178,0.725900978095] leg4_u_z[-0.684101597104,-0.684101247842] leg5_u_x[0.880792833794,0.880792989683] leg5_u_y[-0.219404678896,-0.219404031282] leg5_u_z[-0.419601694054,-0.419601679624] leg6_u_x[-0.528909140406,-0.528909110147] leg6_u_y[-0.604056785687,-0.604056068579] leg6_u_z[-0.596130371135,-0.596129617351] }
STATITISTICS FOR Cuik:

Volume of the search space: 1.67772e+07
Volume of the solution space: 3.00934e-137
  Volume ratio:  0.00 %
Max solution diagonal: 1.89006e-05
Number of processors: 1
User time in process: 345.810000 seg (5.763500 min)
Box level information:
  N processed boxes :   5407
  Max depth         :     24
  Types of boxes:
    N solution boxes:     44 (37) ( 0.81%)
    N empty boxes   :   2660  (49.20%)
    N bisected boxes:   2703  (49.99%)
    N lost boxes    :      0  ( 0.00%)
  Box Reductions    :  25307
  N Errors          :      0 


==========================================================================

END OF THE SOLUTION FILE

